digiKam Developer Documentation: Digikam::BackendGoogleMaps Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | List of all members
Digikam::BackendGoogleMaps Class Reference
Inheritance diagram for Digikam::BackendGoogleMaps:

## Public Slots
void | slotClustersNeedUpdating () override
void | slotThumbnailAvailableForIndex (const QVariant &index, const QPixmap &pixmap) override
void | slotUngroupedModelChanged (const int mindex)
Public Slots inherited from Digikam::MapBackend
virtual void | slotClustersNeedUpdating ()=0
virtual void | slotThumbnailAvailableForIndex (const QVariant &index, const QPixmap &pixmap)
virtual void | slotTrackManagerChanged ()

## Public Member Functions
| BackendGoogleMaps (const QExplicitlySharedDataPointer< GeoIfaceSharedData > &sharedData, QObject *const parent=nullptr)
| ~BackendGoogleMaps () override
void | addActionsToConfigurationMenu (QMenu *const configurationMenu) override
QString | backendHumanName () const override
QString | backendName () const override
void | centerOn (const Marble::GeoDataLatLonBox &latLonBox, const bool useSaneZoomLevel) override
bool | geoCoordinates (const QPoint &point, GeoCoordinates *const coordinates) const override
GeoCoordinates | getCenter () const override
QString | getMapType () const
int | getMarkerModelLevel () override
GeoCoordinates::PairList | getNormalizedBounds () override
QString | getZoom () const override
bool | isReady () const override
QSize | mapSize () const override
QWidget * | mapWidget () override
void | mapWidgetDocked (const bool state) override
void | mouseModeChanged () override
void | readSettingsFromGroup (const KConfigGroup *const group) override
void | regionSelectionChanged () override
void | releaseWidget (GeoIfaceInternalWidgetInfo *const info) override
void | reload () override
void | saveSettingsToGroup (KConfigGroup *const group) override
bool | screenCoordinates (const GeoCoordinates &coordinates, QPoint *const point) override
void | setActive (const bool state) override
void | setCenter (const GeoCoordinates &coordinate) override
void | setMapType (const QString &newMapType)
void | setShowMapTypeControl (const bool state)
void | setShowNavigationControl (const bool state)
void | setShowScaleControl (const bool state)
void | setZoom (const QString &newZoom) override
void | updateActionAvailability () override
void | updateClusters () override
void | updateMarkers () override
void | zoomIn () override
void | zoomOut () override
Public Member Functions inherited from Digikam::MapBackend
| MapBackend (const QExplicitlySharedDataPointer< GeoIfaceSharedData > &sharedData, QObject *const parent)

## Protected Member Functions
void | createActions ()
bool | eventFilter (QObject *object, QEvent *event) override
void | setClusterPixmap (const int clusterId, const QPoint &centerPoint, const QPixmap &clusterPixmap)
void | setMarkerPixmap (const int modelId, const int markerId, const QPoint &centerPoint, const QPixmap &markerPixmap)
void | setMarkerPixmap (const int modelId, const int markerId, const QPoint &centerPoint, const QSize &iconSize, const QUrl &iconUrl)
void | storeTrackChanges (const TrackManager::TrackChanges trackChanges)
Protected Member Functions inherited from Digikam::MapBackend
void | addCommonOptions (QMenu *const configurationMenu)

## Additional Inherited Members
Signals inherited from Digikam::MapBackend
void | signalBackendReadyChanged (const QString &backendName)
void | signalClustersClicked (const QIntList &clusterIndices)
void | signalClustersMoved (const QIntList &clusterIndices, const QPair< int, QModelIndex > &snapTarget)
void | signalMarkersMoved (const QIntList &markerIndices)
void | signalSelectionHasBeenMade (const Digikam::GeoCoordinates::Pair &coordinates)
void | signalZoomChanged (const QString &newZoom)
Public Attributes inherited from Digikam::MapBackend
const QExplicitlySharedDataPointer< GeoIfaceSharedData > | s
Protected Slots inherited from Digikam::MapBackend
void | slotExportScreenshot ()

## Constructor & Destructor Documentation

## ◆ ~BackendGoogleMaps()

Digikam::BackendGoogleMaps::~BackendGoogleMaps | ( |  | ) |
| override

## Member Function Documentation

## ◆ addActionsToConfigurationMenu()

void Digikam::BackendGoogleMaps::addActionsToConfigurationMenu | ( | QMenu *const | configurationMenu | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ backendHumanName()

QString Digikam::BackendGoogleMaps::backendHumanName | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ backendName()

QString Digikam::BackendGoogleMaps::backendName | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ centerOn()

void Digikam::BackendGoogleMaps::centerOn | ( | const Marble::GeoDataLatLonBox & | latLonBox,
|  | const bool | useSaneZoomLevel
| ) |  |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ geoCoordinates()

bool Digikam::BackendGoogleMaps::geoCoordinates | ( | const QPoint & | point,
|  | GeoCoordinates *const | coordinates
| ) |  | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ getCenter()

GeoCoordinates Digikam::BackendGoogleMaps::getCenter | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ getMarkerModelLevel()

int Digikam::BackendGoogleMaps::getMarkerModelLevel | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ getNormalizedBounds()

GeoCoordinates::PairList Digikam::BackendGoogleMaps::getNormalizedBounds | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ getZoom()

QString Digikam::BackendGoogleMaps::getZoom | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ isReady()

bool Digikam::BackendGoogleMaps::isReady | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ mapSize()

QSize Digikam::BackendGoogleMaps::mapSize | ( |  | ) | const
| overridevirtual

Implements Digikam::MapBackend.

## ◆ mapWidget()

QWidget * Digikam::BackendGoogleMaps::mapWidget | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ mapWidgetDocked()

void Digikam::BackendGoogleMaps::mapWidgetDocked | ( | const bool | state | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ mouseModeChanged()

void Digikam::BackendGoogleMaps::mouseModeChanged | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ readSettingsFromGroup()

void Digikam::BackendGoogleMaps::readSettingsFromGroup | ( | const KConfigGroup *const | group | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ regionSelectionChanged()

void Digikam::BackendGoogleMaps::regionSelectionChanged | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ releaseWidget()

void Digikam::BackendGoogleMaps::releaseWidget | ( | GeoIfaceInternalWidgetInfo *const | info | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ reload()

void Digikam::BackendGoogleMaps::reload | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ saveSettingsToGroup()

void Digikam::BackendGoogleMaps::saveSettingsToGroup | ( | KConfigGroup *const | group | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ screenCoordinates()

bool Digikam::BackendGoogleMaps::screenCoordinates | ( | const GeoCoordinates & | coordinates,
|  | QPoint *const | point
| ) |  |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ setActive()

void Digikam::BackendGoogleMaps::setActive | ( | const bool | state | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ setCenter()

void Digikam::BackendGoogleMaps::setCenter | ( | const GeoCoordinates & | coordinate | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ setMarkerPixmap()

void Digikam::BackendGoogleMaps::setMarkerPixmap | ( | const int | modelId,
|  | const int | markerId,
|  | const QPoint & | centerPoint,
|  | const QSize & | iconSize,
|  | const QUrl & | iconUrl
| ) |  |
| protected

## ◆ setZoom()

void Digikam::BackendGoogleMaps::setZoom | ( | const QString & | newZoom | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ updateActionAvailability()

void Digikam::BackendGoogleMaps::updateActionAvailability | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ updateClusters()

void Digikam::BackendGoogleMaps::updateClusters | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ updateMarkers()

void Digikam::BackendGoogleMaps::updateMarkers | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ zoomIn()

void Digikam::BackendGoogleMaps::zoomIn | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.

## ◆ zoomOut()

void Digikam::BackendGoogleMaps::zoomOut | ( |  | ) |
| overridevirtual

Implements Digikam::MapBackend.